<?php

namespace DBTech\StripeCheckout\Repository;

use XF\Mvc\Entity\Repository;

class PaymentMethodRepository extends Repository
{
	public const POSSIBLE_PAYMENT_METHODS = [
		// Common payment methods
		'card',
		'link',
		'paypal',
		'klarna',
		'sepa_debit',

		// Others
		'acss_debit',
		'affirm',
		'afterpay_clearpay',
		'alipay',
		'au_becs_debit',
		'bacs_debit',
		'bancontact',
		'blik',
		'boleto',
		'card_present',
		'cashapp',
		'customer_balance',
		'eps',
		'fpx',
		'giropay',
		'grabpay',
		'ideal',
		'interac_present',
		'konbini',
		'oxxo',
		'p24',
		'paynow',
		'pix',
		'promptpay',
		'revolut_pay',
		'sofort',
		'swish',
		'us_bank_account',
		'wechat_pay',
		'zip',
	];

	public function getPossiblePaymentMethods(): array
	{
		return static::POSSIBLE_PAYMENT_METHODS;
	}
}